<?php

// QuickTeam 1.7 build:20080520

switch($oDB->type)
{

case 'mysql':
  $strQ = 'CREATE TABLE '.$qte_prefix.'qtestatus (
  id char(1),
  name varchar(32),
  descr varchar(255),
  icon varchar(32),
  color varchar(32),
  PRIMARY KEY (id)
  )';
  break;

case 'mssql':
  $strQ = 'CREATE TABLE '.$qte_prefix.'qtestatus (
  id char(1) NOT NULL CONSTRAINT pk_'.$qte_prefix.'qtestatus PRIMARY KEY,
  name varchar(32) NULL default NULL,
  descr varchar(255) NULL default NULL,
  icon varchar(32) NULL default NULL,
  color varchar(32) NULL default NULL
  )';
  break;
  
case 'pg':
  $strQ = 'CREATE TABLE '.$qte_prefix.'qtestatus (
  id char(1),
  name varchar(32),
  descr varchar(255),
  icon varchar(32),
  color varchar(32),
  PRIMARY KEY (id)
  )';
  break;
  
case 'sqlite':
  $strQ = 'CREATE TABLE '.$qte_prefix.'qtestatus (
  id text,
  name text,
  descr text,
  icon text,
  color text,
  PRIMARY KEY (id)
  )';
  break;
  
case 'ibase':
  $strQ = 'CREATE TABLE '.$qte_prefix.'qtestatus (
  id char(1),
  name varchar(32),
  descr varchar(255),
  icon varchar(32),
  color varchar(32),
  PRIMARY KEY (id)
  )';
  break;
  
case 'access':
  $strQ = 'CREATE TABLE '.$qte_prefix.'qtestatus (
  id char(1) CONSTRAINT pk_'.$qte_prefix.'qtestatus PRIMARY KEY,
  name varchar(32),
  descr varchar(255),
  icon varchar(32),
  color varchar(32)
  )';
  break;

case 'db2':
  $strQ = 'CREATE TABLE '.$qte_prefix.'qtestatus (
  id char(1) NOT NULL,
  name varchar(32),
  descr varchar(255),
  icon varchar(32),
  color varchar(32),
  PRIMARY KEY (id)
  )';
  break;

case 'ifx':
  $strQ = 'CREATE TABLE '.$qte_prefix.'qtestatus (
  id char(1),
  name varchar(32),
  descr varchar(255),
  icon varchar(32),
  color varchar(32),
  PRIMARY KEY (id))';
  break;

case 'oci':
  $strQ = 'CREATE TABLE '.$qte_prefix.'qtestatus (
  id char(1),
  name varchar2(32),
  descr varchar2(255),
  icon varchar2(32),
  color varchar2(32),
  CONSTRAINT pk_'.$qte_prefix.'qtestatus PRIMARY KEY (id))';
  break;

default:
  die("Database type [{$this->type}] not supported... Must be mysql, mssql, pg, db2, ifx or access");

}

echo '<div style="margin-left:20px; color:blue;">';
$b = $oDB->Query($strQ);
echo '</div>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qte_prefix.'qtestatus',$qte_database,$qte_user),'</div>';
  echo '<br/><table cellspacing="0" class="tab_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qte_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

// add default values

$oDB->Query('INSERT INTO '.$qte_prefix.'qtestatus (id,name,descr,icon) VALUES ("A","Candidate","Candidate","status_star.gif")');
$oDB->Query('INSERT INTO '.$qte_prefix.'qtestatus (id,name,descr,icon) VALUES ("B","Member","Member","status_body_blue.gif")');
$oDB->Query('INSERT INTO '.$qte_prefix.'qtestatus (id,name,descr,icon) VALUES ("C","Retired","Retired","status_body_grey.gif")');
$oDB->Query('INSERT INTO '.$qte_prefix.'qtestatus (id,name,descr,icon) VALUES ("Z","Not member","Not member","status_no.gif")');

?>